Permalink
Browse files

Fix some data_mapper appraisals not having the right extlib dependencies

  • Loading branch information...
1 parent 1325316 commit ee08d10834c94fc6ec6d3f552ab2fbf930e104a0 @obrie obrie committed Mar 13, 2013
View
@@ -232,7 +232,7 @@ if RUBY_VERSION > "1.8.6" && RUBY_VERSION != "1.9.1"
gem "mongo_mapper", "0.12.0"
end
end
-
+
# Mongoid integrations
if RUBY_VERSION > "1.8.6" && RUBY_VERSION < "2.0.0"
appraise "mongoid-2.0.0" do
@@ -390,6 +390,7 @@ if RUBY_VERSION < "1.9.1" && RUBY_PLATFORM != 'java' && (!defined?(RUBY_ENGINE)
end
appraise "data_mapper-0.9.7" do
+ gem "extlib", "0.9.8"
gem "dm-core", "0.9.7"
gem "dm-migrations", "0.9.7"
gem "dm-validations", "0.9.7"
@@ -399,6 +400,7 @@ if RUBY_VERSION < "1.9.1" && RUBY_PLATFORM != 'java' && (!defined?(RUBY_ENGINE)
end
appraise "data_mapper-0.9.11" do
+ gem "extlib", "0.9.11"
gem "dm-core", "0.9.11"
gem "dm-migrations", "0.9.11"
gem "dm-validations", "0.9.11"
@@ -408,6 +410,7 @@ if RUBY_VERSION < "1.9.1" && RUBY_PLATFORM != 'java' && (!defined?(RUBY_ENGINE)
end
appraise "data_mapper-0.10.2" do
+ gem "extlib", "0.9.16"
gem "dm-core", "0.10.2"
gem "dm-migrations", "0.10.2"
gem "dm-validations", "0.10.2"
@@ -2,6 +2,7 @@
source "http://www.rubygems.org"
+gem "extlib", "0.9.16"
gem "dm-core", "0.10.2"
gem "dm-migrations", "0.10.2"
gem "dm-validations", "0.10.2"
@@ -50,6 +50,7 @@ DEPENDENCIES
dm-observer (= 0.10.2)
dm-validations (= 0.10.2)
do_sqlite3 (= 0.10.2)
+ extlib (= 0.9.16)
rake
simplecov
state_machine!
@@ -2,6 +2,7 @@
source "http://www.rubygems.org"
+gem "extlib", "0.9.11"
gem "dm-core", "0.9.11"
gem "dm-migrations", "0.9.11"
gem "dm-validations", "0.9.11"
@@ -31,7 +31,7 @@ GEM
do_sqlite3 (0.9.11)
data_objects (= 0.9.11)
hoe (>= 1.8.2)
- extlib (0.9.16)
+ extlib (0.9.11)
hoe (3.5.0)
rake (>= 0.8, < 11.0)
launchy (2.0.3)
@@ -65,6 +65,7 @@ DEPENDENCIES
dm-observer (= 0.9.11)
dm-validations (= 0.9.11)
do_sqlite3 (= 0.9.11)
+ extlib (= 0.9.11)
rake
simplecov
state_machine!
@@ -2,6 +2,7 @@
source "http://www.rubygems.org"
+gem "extlib", "0.9.8"
gem "dm-core", "0.9.7"
gem "dm-migrations", "0.9.7"
gem "dm-validations", "0.9.7"
@@ -32,7 +32,7 @@ GEM
do_sqlite3 (0.9.7)
data_objects (= 0.9.7)
hoe (>= 1.8.2)
- extlib (0.9.16)
+ extlib (0.9.8)
hoe (3.5.0)
rake (>= 0.8, < 11.0)
multi_json (1.6.1)
@@ -61,6 +61,7 @@ DEPENDENCIES
dm-observer (= 0.9.7)
dm-validations (= 0.9.7)
do_sqlite3 (= 0.9.7)
+ extlib (= 0.9.8)
rake
simplecov
state_machine!

0 comments on commit ee08d10

Please sign in to comment.